{% extends "core/logged.html" %}
{% load static %}
{% load widget_tweaks %}

{% block aside %}
{% include 'core/aside_menu.html' %}
{% endblock aside %}

{% block content %}
	<div class="content-wrapper">

		<section class="content-header">
	      <h1>
	        Pontos
	      </h1>
	      <ol class="breadcrumb">
	        <li><a href="{% url 'admin:index' %}"><i class="fa fa-home"></i>Home</a></li>
	        <li class="active"><a href="{% url 'admin:cases' %}">Pontos</a></li>
	      </ol>
	    </section>
		
		<section class="content">
			<div class="box">
	            <div class="box-header">
	              <h3 class="box-title">Novo Ponto</h3>
	            </div>
	            <!-- /.box-header -->
	            <div class="box-body">
	            	<div class="content">

	            		<form class='form-vertical' style="margin-top: 20px;" action="" method="POST" enctype="multipart/form-data">
		            		{% csrf_token %}
	            			<div class="form-group">
				                <label>Ordem</label>
				                {% if form.ordem.errors %}
				                    {% render_field form.ordem class+="form-control placeholder-no-fix"  aria-describedby="ordem-error"%}
				                    {% for erro in form.ordem.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.ordem class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Linha</label>
				                {% if form.linha.errors %}
				                    {% render_field form.linha class+="form-control placeholder-no-fix"  aria-describedby="linha-error"%}
				                    {% for erro in form.linha.errors %}
				                    	<span class="text-danger">{{ erro }}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.linha class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Data</label>
				                {% if form.data.errors %}
				                    {% render_field form.data class+="form-control placeholder-no-fix"  aria-describedby="data-error"%}
				                    {% for erro in form.data.errors %}
				                    	<span class="text-danger">{{ erro }}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.data class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Hora</label>
				                {% if form.hora.errors %}
				                    {% render_field form.hora class+="form-control placeholder-no-fix"  aria-describedby="hora-error"%}
				                    {% for erro in form.hora.errors %}
				                    	<span class="text-danger">{{ erro }}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.hora class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Processo</label>
				                {% if form.processo.errors %}
				                    {% render_field form.processo class+="form-control placeholder-no-fix"  aria-describedby="processo-error"%}
				                    {% for erro in form.processo.errors %}
				                    	<span class="text-danger">{{ erro }}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.processo class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Litros</label>
				                {% if form.litros.errors %}
				                    {% render_field form.litros class+="form-control placeholder-no-fix"  aria-describedby="litros-error"%}
				                    {% for erro in form.litros.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.litros class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Tipo do Ponto</label>
				                {% if form.tipoPonto.errors %}
				                    {% render_field form.tipoPonto class+="form-control placeholder-no-fix"  aria-describedby="tipoPonto-error"%}
				                    {% for erro in form.tipoPonto.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.tipoPonto class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group" id="fazenda">
				                <label>Fazenda</label>
				                {% if form.fazenda.errors %}
				                    {% render_field form.fazenda class+="form-control placeholder-no-fix"  aria-describedby="fazenda-error"%}
				                    {% for erro in form.fazenda.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.fazenda class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group" id="entreposto">
				                <label>Entreposto</label>
				                {% if form.entreposto.errors %}
				                    {% render_field form.entreposto class+="form-control placeholder-no-fix"  aria-describedby="entreposto-error"%}
				                    {% for erro in form.entreposto.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.entreposto class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group" id="laticinio">
				                <label>Laticínio</label>
				                {% if form.laticinio.errors %}
				                    {% render_field form.laticinio class+="form-control placeholder-no-fix"  aria-describedby="laticinio-error"%}
				                    {% for erro in form.laticinio.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.laticinio class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Realizado</label>
				                {% if form.foi_feito.errors %}
				                    {% render_field form.foi_feito class+="checkbox"  aria-describedby="foi_feito-error"%}
				                    {% for erro in form.foi_feito.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.foi_feito class+="checkbox	" %}
				                {% endif %}
				            </div>
				            <div class="pull-right">
				            	<a class="btn btn-default" href="{% url 'admin:list_pontos' %}">Cancelar</a>
				            	<button class="btn btn-primary">Salvar</button>
				            </div>
		            	</form>

		            </div>
	            </div>
	            <!-- /.box-body -->
	         </div>
		</section>
		
    </div>
    <script type="text/javascript">
    	$(document).ready(function(){

			document.getElementById("id_fazenda").style.display = 'none';
			document.getElementById("id_laticinio").style.display = 'none';
			document.getElementById("id_entreposto").style.display = 'none';

    		$('select#id_tipoPonto').change(function () {
		     	var optionSelected = $(this).find("option:selected");

		     	if (optionSelected == 'Fazenda') {
					$('select#id_fazenda').style.display = 'block';		     		
		     	}
		     	else {
		     		if (optionSelected == 'Laticínio') {
		     			$('select#id_laticinio').style.display = 'block';
		     		}
		     		else {
		     			if (optionSelected == 'Entreposto') {
		     				$('select#id_entreposto').style.display = 'block';
		     			}
		     		}
		     	}
		    });
		});
    </script>
{% endblock content %}